## db_addvolume

### 1. Adding Data Volumes

#### Use

You define additional data volumes to extend the data area of the database instance.

When doing so, you can define either the size of the new data volume or a target fill level for the data area. If this target fill level is less than the current fill level, the DBM command is executed and as many volumes are added as required to reach the target fill level. If the current fill level is less than the target level, the DBM command is not executed.

If no volume specification is entered, then a system default for a volume of type file is determined based on existing volume definitions and used.

You can use the Database Manager parameter AutoExtDir to define the directory for this system default, and the Database Manager parameter AutoExtSize to define its size (see: dbm_configset).

If you are using Microsoft Windows, note that you cannot compress volumes that are files, nor can you store them in a compressed operating system directory.

See also:

Database Administration Tutorial, Enlarging a Database Instance, sections "Scenario 2" and "Scenario 3"

Concepts of the Database System, Volumes (Permanent Storage), Database Design

#### Prerequisites

You have the server authorization ParamFull or AccessUtility.

#### Syntax

db_addvolume DATA [<definition>]

<definition> :: = -fd <filling_level> | <vol_specification>

<vol_specification> :: = <device_name> <vol_type> <size>

Options

Option | Description
-fd <filling_level> | Target fill level of the data area in percent The volume is only created if the target fill level has already been reached or exceeded.
<device_name> | Name of the device/file
<vol_type> | Type of device/file that is to be added Possible values are: F | L | R F: file L: link R: raw device
<size> | Size of the volume to be added in pages

#### Reply

OK

<number>

<number> | Only after use of the option -fd <filling_level>: Number of added volumes required to reach the target fill level

In the event of errors, see Reply Format.

## 2. Adding Log Volumes

#### Use

You define additional log volumes to extend the log area of the database instance.

If you execute the DBM command without entering a volume specification, then a system default for a volume of type file is determined based on existing volume definitions and used.

You can use the Database Manager parameter AutoExtDirLog to define the directory for this system default, and the Database Manager parameter AutoExtSizeLog to define its size (see: dbm_configset).

You also use this DBM command to create log volumes with mirror volumes.

If your database instance is already mirrored, you can use the Database Manager parameter AutoExtDirLogMirror to define the directory for the system default for the mirror volume.

If the database instance is not yet mirrored, use the DBM command for changing volume parameters (see: param_addvolume) to create the first mirror volume.

If you are using Microsoft Windows, note that you cannot compress volumes that are files, nor can you store them in a compressed operating system directory.

#### Prerequisites

You have the server authorization ParamFull or AccessUtility.

#### Syntax

db_addvolume LOG [<vol_specification> | <mvol_specification>]

<vol_specification> :: = <device_name> <vol_type> <size>

<mvol_specification> :: = <device_name> <vol_type> <size> <mdevice_name> <mvol_type>

Options

Option | Description
<device_name> | Name of the device/file
<vol_type> | Type of device/file that is to be added Possible values are: F | L | R F: file L: link R: raw device
<size> | Size of the log volume to be added in pages
<mdevice_name> | Name of device/file for mirror volume
<mvol_type> | Type of device/file that is to be added as a mirror volume Possible values are: F | L | R F: file L: link R: raw device

#### Reply

OK

In the event of errors, see Reply Format.

See also:

Concepts of the Database System, Planning Database Instances